unit uBizEmpresas;

interface

uses
  uDAInterfaces, uDADataTable, schEmpresasClient_Intf;

const
  BIZ_CLIENT_EMPRESA = 'Client.Empresa';

type
  IBizEmpresa = interface (IEmpresas)
    ['{7ABC0CFA-D884-4644-B1B4-72C1917E7A70}']
    function EsNuevo : Boolean;
  end;

  TBizEmpresa = class(TEmpresasDataTableRules, IBizEmpresa)
  protected
    procedure OnNewRecord(Sender: TDADataTable); override;
  public
    function EsNuevo : Boolean;
    procedure IniciarValoresEmpresaNueva;    
  end;


implementation

uses
  uDataTableUtils, Classes, DateUtils, SysUtils;

{ TBizEmpresa }

function TBizEmpresa.EsNuevo: Boolean;
begin
  Result := (ID < 0);
end;

procedure TBizEmpresa.IniciarValoresEmpresaNueva;
begin
//  USUARIO := dmUsuarios.LoginInfo.Usuario;
end;

procedure TBizEmpresa.OnNewRecord(Sender: TDADataTable);
begin
  inherited;
  ID := GetRecNo; // -1, -2, -3...
  IniciarValoresEmpresaNueva;
end;

initialization
  RegisterDataTableRules(BIZ_CLIENT_EMPRESA, TBizEmpresa);

finalization

end.

